API Reference
Auto-generated
Dashboard
API reference for dashboard endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/dashboard/bootstrap
GET
/api/v1/dashboard/bootstrapDashboard bootstrap
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/dashboard/bootstrap \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"user": "example",
"balance": "example",
"has_api_keys": true
}GET /api/v1/dashboard/method-breakdown
GET
/api/v1/dashboard/method-breakdownGet Method Breakdown
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| days | integer | Optional | Aggregation window in daysDefault: 30 |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/dashboard/method-breakdown \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"by_method": {},
"api_relay_count": 0,
"page_scrape_count": 0,
"total": 0,
"window_days": 0
}GET /api/v1/dashboard/tier-cap-insights
GET
/api/v1/dashboard/tier-cap-insightsGet Tier Cap Insights
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| days | integer | Optional | daysDefault: 30 |
| hours | integer | Optional | hours |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/dashboard/tier-cap-insights \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"insights": [],
"total_tier_cap_failures": 0
}GET /api/v1/dashboard/tier-mix
GET
/api/v1/dashboard/tier-mixGet Tier Mix
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| days | integer | Optional | daysDefault: 30 |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/dashboard/tier-mix \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"window_days": 0,
"as_of": "example",
"by_tier": {},
"by_error_class": []
}